Subject: RE: bug#15108: 24.3.50; Package dependency documentation

From: Drew Adams <[email-masked]>
Date: Thu, 15 Aug 2013 23:57:53 -0700 (PDT)

> > The values `foo', `(foo)' and `((foo))' all cause an error to be
> > signaled by `package-buffer-info'. This seems to me that there is no
> > "possibly" about it.
> 
> Indeed a lot of the code assumes that there's a version number in there,
> but some of the code does try to handle a nil value as well.
> I think it would be desirable to make it possible to leave the version
> number unspecified.

+1; a BIG +1.

You can use `Package Requires ((foo "0"))' as a workaround, but it's
silly that you have to do that.  If a library is not versioned, or if
for some reason any version of it will do for the package that requires
it, it should be possible to use just `Package Requires ((foo))'.

Furthermore, if no library is required, it should be possible to omit
a `Package-Requires' altogether - that should be equivalent to
`Package-Requires ()'.